## org.w3c.dom.smil
Interface ElementTimeControl

All Known Subinterfaces:
  SVGAnimateColorElement, SVGAnimateElement, SVGAnimateMotionElement, SVGAnimateTransformElement, SVGAnimationElement, SVGSetElement

All Known Implementing Classes:
  SVGOMAnimateColorElement, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMSetElement

public interface ElementTimeControl

Method Summary
`boolean` `beginElement()`
`boolean` `beginElementAt(float offset)`
`boolean` `endElement()`
`boolean` `endElementAt(float offset)`

Method Detail

### beginElement

    public boolean beginElement()
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### beginElementAt

    public boolean beginElementAt(float offset)
                           throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### endElement

    public boolean endElement()
                       throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### endElementAt

    public boolean endElementAt(float offset)
                         throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.